-- | amplitude follower
module Sound.SC3.UGen.Record.AmplitudeMod where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data AmplitudeMod = AmplitudeMod {
  rate :: S.Rate,
  input :: S.UGen,
  attackTime :: S.UGen,
  releaseTime :: S.UGen
  } deriving (Show)
amplitudeMod :: AmplitudeMod
amplitudeMod = AmplitudeMod {
  rate = S.AR,
  input = 0.0,
  attackTime = 0.01,
  releaseTime = 0.01
  }
mkAmplitudeMod :: AmplitudeMod -> S.UGen
mkAmplitudeMod (AmplitudeMod r a' b' c') = S.mkOsc r "AmplitudeMod" [a',b',c'] 1
instance Make AmplitudeMod where
  ugen = mkAmplitudeMod
