-- | detect the smallest value (and its position) in an array of UGens
module Sound.SC3.UGen.Record.ArrayMin where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data ArrayMin = ArrayMin {
  rate :: S.Rate,
  array :: S.UGen
  } deriving (Show)
arrayMin :: ArrayMin
arrayMin = ArrayMin {
  rate = S.AR,
  array = 0.0
  }
mkArrayMin :: ArrayMin -> S.UGen
mkArrayMin (ArrayMin r a') = S.mkOsc r "ArrayMin" [a'] 2
instance Make ArrayMin where
  ugen = mkArrayMin
