-- | (not documented)
module Sound.SC3.UGen.Record.AtsNoiSynth where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data AtsNoiSynth = AtsNoiSynth {
  atsbuffer :: S.UGen,
  numPartials :: S.UGen,
  partialStart :: S.UGen,
  partialSkip :: S.UGen,
  filePointer :: S.UGen,
  sinePct :: S.UGen,
  noisePct :: S.UGen,
  freqMul :: S.UGen,
  freqAdd :: S.UGen,
  numBands :: S.UGen,
  bandStart :: S.UGen,
  bandSkip :: S.UGen
  } deriving (Show)
atsNoiSynth :: AtsNoiSynth
atsNoiSynth = AtsNoiSynth {
  atsbuffer = 0.0,
  numPartials = 0.0,
  partialStart = 0.0,
  partialSkip = 1.0,
  filePointer = 0.0,
  sinePct = 1.0,
  noisePct = 1.0,
  freqMul = 1.0,
  freqAdd = 0.0,
  numBands = 25.0,
  bandStart = 0.0,
  bandSkip = 1.0
  }
mkAtsNoiSynth :: AtsNoiSynth -> S.UGen
mkAtsNoiSynth (AtsNoiSynth  a' b' c' d' e' f' g' h' i' j' k' l') = S.mkOsc S.AR "AtsNoiSynth" [a',b',c',d',e',f',g',h',i',j',k',l'] 1
instance Make AtsNoiSynth where
  ugen = mkAtsNoiSynth
