-- | (not documented)
module Sound.SC3.UGen.Record.AtsParInfo where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data AtsParInfo = AtsParInfo {
  rate :: S.Rate,
  atsbuffer :: S.UGen,
  partialNum :: S.UGen,
  filePointer :: S.UGen
  } deriving (Show)
atsParInfo :: AtsParInfo
atsParInfo = AtsParInfo {
  rate = S.AR,
  atsbuffer = 0.0,
  partialNum = 0.0,
  filePointer = 0.0
  }
mkAtsParInfo :: AtsParInfo -> S.UGen
mkAtsParInfo (AtsParInfo r a' b' c') = S.mkOsc r "AtsParInfo" [a',b',c'] 2
instance Make AtsParInfo where
  ugen = mkAtsParInfo
