-- | (not documented)
module Sound.SC3.UGen.Record.AtsSynth where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data AtsSynth = AtsSynth {
  atsbuffer :: S.UGen,
  numPartials :: S.UGen,
  partialStart :: S.UGen,
  partialSkip :: S.UGen,
  filePointer :: S.UGen,
  freqMul :: S.UGen,
  freqAdd :: S.UGen
  } deriving (Show)
atsSynth :: AtsSynth
atsSynth = AtsSynth {
  atsbuffer = 0.0,
  numPartials = 0.0,
  partialStart = 0.0,
  partialSkip = 1.0,
  filePointer = 0.0,
  freqMul = 1.0,
  freqAdd = 0.0
  }
mkAtsSynth :: AtsSynth -> S.UGen
mkAtsSynth (AtsSynth  a' b' c' d' e' f' g') = S.mkOsc S.AR "AtsSynth" [a',b',c',d',e',f',g'] 1
instance Make AtsSynth where
  ugen = mkAtsSynth
