-- | physical model of bouncing object
module Sound.SC3.UGen.Record.Ball where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Ball = Ball {
  rate :: S.Rate,
  input :: S.UGen,
  g :: S.UGen,
  damp :: S.UGen,
  friction :: S.UGen
  } deriving (Show)
ball :: Ball
ball = Ball {
  rate = S.AR,
  input = 0.0,
  g = 1.0,
  damp = 0.0,
  friction = 0.01
  }
mkBall :: Ball -> S.UGen
mkBall (Ball r a' b' c' d') = S.mkOsc r "Ball" [a',b',c',d'] 1
instance Make Ball where
  ugen = mkBall
