-- | (not documented)
module Sound.SC3.UGen.Record.Breakcore where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Breakcore = Breakcore {
  bufnum :: S.UGen,
  capturein :: S.UGen,
  capturetrigger :: S.UGen,
  duration :: S.UGen,
  ampdropout :: S.UGen
  } deriving (Show)
breakcore :: Breakcore
breakcore = Breakcore {
  bufnum = 0.0,
  capturein = 0.0,
  capturetrigger = 0.0,
  duration = 0.1,
  ampdropout = 0.0
  }
mkBreakcore :: Breakcore -> S.UGen
mkBreakcore (Breakcore  a' b' c' d' e') = S.mkOsc S.AR "Breakcore" [a',b',c',d',e'] 1
instance Make Breakcore where
  ugen = mkBreakcore
