-- | (not documented)
module Sound.SC3.UGen.Record.BufGrain where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufGrain = BufGrain {
  trigger :: S.UGen,
  dur :: S.UGen,
  sndbuf :: S.UGen,
  rate_ :: S.UGen,
  pos :: S.UGen,
  interp :: S.UGen
  } deriving (Show)
bufGrain :: BufGrain
bufGrain = BufGrain {
  trigger = 0.0,
  dur = 1.0,
  sndbuf = 0.0,
  rate_ = 1.0,
  pos = 0.0,
  interp = 2.0
  }
mkBufGrain :: BufGrain -> S.UGen
mkBufGrain (BufGrain  a' b' c' d' e' f') = S.mkOsc S.AR "BufGrain" [a',b',c',d',e',f'] 1
instance Make BufGrain where
  ugen = mkBufGrain
