-- | (not documented)
module Sound.SC3.UGen.Record.BufGrainBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufGrainBF = BufGrainBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  sndbuf :: S.UGen,
  rate_ :: S.UGen,
  pos :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  interp :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
bufGrainBF :: BufGrainBF
bufGrainBF = BufGrainBF {
  trigger = 0.0,
  dur = 1.0,
  sndbuf = 0.0,
  rate_ = 1.0,
  pos = 0.0,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  interp = 2.0,
  wComp = 0.0
  }
mkBufGrainBF :: BufGrainBF -> S.UGen
mkBufGrainBF (BufGrainBF  a' b' c' d' e' f' g' h' i' j') = S.mkOsc S.AR "BufGrainBF" [a',b',c',d',e',f',g',h',i',j'] 4
instance Make BufGrainBF where
  ugen = mkBufGrainBF
