-- | (not documented)
module Sound.SC3.UGen.Record.BufGrainI where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufGrainI = BufGrainI {
  trigger :: S.UGen,
  dur :: S.UGen,
  sndbuf :: S.UGen,
  rate_ :: S.UGen,
  pos :: S.UGen,
  envbuf1 :: S.UGen,
  envbuf2 :: S.UGen,
  ifac :: S.UGen,
  interp :: S.UGen
  } deriving (Show)
bufGrainI :: BufGrainI
bufGrainI = BufGrainI {
  trigger = 0.0,
  dur = 1.0,
  sndbuf = 0.0,
  rate_ = 1.0,
  pos = 0.0,
  envbuf1 = 0.0,
  envbuf2 = 0.0,
  ifac = 0.5,
  interp = 2.0
  }
mkBufGrainI :: BufGrainI -> S.UGen
mkBufGrainI (BufGrainI  a' b' c' d' e' f' g' h' i') = S.mkOsc S.AR "BufGrainI" [a',b',c',d',e',f',g',h',i'] 1
instance Make BufGrainI where
  ugen = mkBufGrainI
