-- | detect the largest value (and its position) in an array of UGens
module Sound.SC3.UGen.Record.BufMin where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufMin = BufMin {
  bufnum :: S.UGen,
  gate :: S.UGen
  } deriving (Show)
bufMin :: BufMin
bufMin = BufMin {
  bufnum = 0.0,
  gate = 1.0
  }
mkBufMin :: BufMin -> S.UGen
mkBufMin (BufMin  a' b') = S.mkOsc S.KR "BufMin" [a',b'] 2
instance Make BufMin where
  ugen = mkBufMin
