-- | Exponential decay
module Sound.SC3.UGen.Record.Decay where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Decay = Decay {
  rate :: S.Rate,
  input :: S.UGen,
  decayTime :: S.UGen
  } deriving (Show)
decay :: Decay
decay = Decay {
  rate = S.AR,
  input = 0.0,
  decayTime = 1.0
  }
mkDecay :: Decay -> S.UGen
mkDecay (Decay r a' b') = S.mkOsc r "Decay" [a',b'] 1
instance Make Decay where
  ugen = mkDecay
