-- | demand rate reset
module Sound.SC3.UGen.Record.Dreset where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dreset = Dreset {
  input :: S.UGen,
  reset :: S.UGen
  } deriving (Show)
dreset :: Dreset
dreset = Dreset {
  input = 0.0,
  reset = 0.0
  }
mkDreset :: Dreset -> S.UGen
mkDreset (Dreset  a' b') = S.mkOsc S.DR "Dreset" [a',b'] 1
instance Make Dreset where
  ugen = mkDreset
