-- | (not documented)
module Sound.SC3.UGen.Record.FFTTriggered where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FFTTriggered = FFTTriggered {
  buffer :: S.UGen,
  input :: S.UGen,
  trig :: S.UGen,
  overlaplimit :: S.UGen
  } deriving (Show)
fFTTriggered :: FFTTriggered
fFTTriggered = FFTTriggered {
  buffer = 0.0,
  input = 0.0,
  trig = 0.0,
  overlaplimit = 0.5
  }
mkFFTTriggered :: FFTTriggered -> S.UGen
mkFFTTriggered (FFTTriggered  a' b' c' d') = S.mkOsc S.KR "FFTTriggered" [a',b',c',d'] 1
instance Make FFTTriggered where
  ugen = mkFFTTriggered
