-- | (not documented)
module Sound.SC3.UGen.Record.FMGrainIBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FMGrainIBF = FMGrainIBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  carfreq :: S.UGen,
  modfreq :: S.UGen,
  index :: S.UGen,
  envbuf1 :: S.UGen,
  envbuf2 :: S.UGen,
  ifac :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
fMGrainIBF :: FMGrainIBF
fMGrainIBF = FMGrainIBF {
  trigger = 0.0,
  dur = 1.0,
  carfreq = 440.0,
  modfreq = 200.0,
  index = 1.0,
  envbuf1 = 0.0,
  envbuf2 = 0.0,
  ifac = 0.5,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  wComp = 0.0
  }
mkFMGrainIBF :: FMGrainIBF -> S.UGen
mkFMGrainIBF (FMGrainIBF  a' b' c' d' e' f' g' h' i' j' k' l') = S.mkOsc S.AR "FMGrainIBF" [a',b',c',d',e',f',g',h',i',j',k',l'] 4
instance Make FMGrainIBF where
  ugen = mkFMGrainIBF
