-- | (not documented)
module Sound.SC3.UGen.Record.FMHDecode1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FMHDecode1 = FMHDecode1 {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  r :: S.UGen,
  s :: S.UGen,
  t :: S.UGen,
  u :: S.UGen,
  v :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen
  } deriving (Show)
fMHDecode1 :: FMHDecode1
fMHDecode1 = FMHDecode1 {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  r = 0.0,
  s = 0.0,
  t = 0.0,
  u = 0.0,
  v = 0.0,
  azimuth = 0.0,
  elevation = 0.0
  }
mkFMHDecode1 :: FMHDecode1 -> S.UGen
mkFMHDecode1 (FMHDecode1  a' b' c' d' e' f' g' h' i' j' k') = S.mkOsc S.AR "FMHDecode1" [a',b',c',d',e',f',g',h',i',j',k'] 1
instance Make FMHDecode1 where
  ugen = mkFMHDecode1
