-- | (not documented)
module Sound.SC3.UGen.Record.FhnTrig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FhnTrig = FhnTrig {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  urate :: S.UGen,
  wrate :: S.UGen,
  b0 :: S.UGen,
  b1 :: S.UGen,
  i :: S.UGen,
  u0 :: S.UGen,
  w0 :: S.UGen
  } deriving (Show)
fhnTrig :: FhnTrig
fhnTrig = FhnTrig {
  rate = S.AR,
  minfreq = 4.0,
  maxfreq = 10.0,
  urate = 0.1,
  wrate = 0.1,
  b0 = 0.6,
  b1 = 0.8,
  i = 0.0,
  u0 = 0.0,
  w0 = 0.0
  }
mkFhnTrig :: FhnTrig -> S.UGen
mkFhnTrig (FhnTrig r a' b' c' d' e' f' g' h' i') = S.mkOsc r "FhnTrig" [a',b',c',d',e',f',g',h',i'] 1
instance Make FhnTrig where
  ugen = mkFhnTrig
