-- | (not documented)
module Sound.SC3.UGen.Record.FincoSprottS where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FincoSprottS = FincoSprottS {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  h :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen,
  zi :: S.UGen
  } deriving (Show)
fincoSprottS :: FincoSprottS
fincoSprottS = FincoSprottS {
  freq = 22050.0,
  a = 8.0,
  b = 2.0,
  h = 0.05,
  xi = 0.0,
  yi = 0.0,
  zi = 0.0
  }
mkFincoSprottS :: FincoSprottS -> S.UGen
mkFincoSprottS (FincoSprottS  a' b' c' d' e' f' g') = S.mkOsc S.AR "FincoSprottS" [a',b',c',d',e',f',g'] 3
instance Make FincoSprottS where
  ugen = mkFincoSprottS
