-- | First Order Ambisonic (FOA) directivity transformer
module Sound.SC3.UGen.Record.FoaDirectO where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaDirectO = FoaDirectO {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaDirectO :: FoaDirectO
foaDirectO = FoaDirectO {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaDirectO :: FoaDirectO -> S.UGen
mkFoaDirectO (FoaDirectO  a' b' c' d' e') = S.mkOsc S.AR "FoaDirectO" [a',b',c',d',e'] 4
instance Make FoaDirectO where
  ugen = mkFoaDirectO
