-- | First Order Ambisonic (FOA) dominance transformer
module Sound.SC3.UGen.Record.FoaDominateX where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaDominateX = FoaDominateX {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  gain :: S.UGen
  } deriving (Show)
foaDominateX :: FoaDominateX
foaDominateX = FoaDominateX {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  gain = 0.0
  }
mkFoaDominateX :: FoaDominateX -> S.UGen
mkFoaDominateX (FoaDominateX  a' b' c' d' e') = S.mkOsc S.AR "FoaDominateX" [a',b',c',d',e'] 4
instance Make FoaDominateX where
  ugen = mkFoaDominateX
