-- | First Order Ambisonic (FOA) dominance transformer
module Sound.SC3.UGen.Record.FoaDominateY where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaDominateY = FoaDominateY {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  gain :: S.UGen
  } deriving (Show)
foaDominateY :: FoaDominateY
foaDominateY = FoaDominateY {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  gain = 0.0
  }
mkFoaDominateY :: FoaDominateY -> S.UGen
mkFoaDominateY (FoaDominateY  a' b' c' d' e') = S.mkOsc S.AR "FoaDominateY" [a',b',c',d',e'] 4
instance Make FoaDominateY where
  ugen = mkFoaDominateY
