-- | First Order Ambisonic (FOA) press transformer
module Sound.SC3.UGen.Record.FoaPressX where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaPressX = FoaPressX {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaPressX :: FoaPressX
foaPressX = FoaPressX {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaPressX :: FoaPressX -> S.UGen
mkFoaPressX (FoaPressX  a' b' c' d' e') = S.mkOsc S.AR "FoaPressX" [a',b',c',d',e'] 4
instance Make FoaPressX where
  ugen = mkFoaPressX
