-- | First Order Ambisonic (FOA) press transformer
module Sound.SC3.UGen.Record.FoaPressY where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaPressY = FoaPressY {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaPressY :: FoaPressY
foaPressY = FoaPressY {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaPressY :: FoaPressY -> S.UGen
mkFoaPressY (FoaPressY  a' b' c' d' e') = S.mkOsc S.AR "FoaPressY" [a',b',c',d',e'] 4
instance Make FoaPressY where
  ugen = mkFoaPressY
