-- | First Order Ambisonic (FOA) press transformer
module Sound.SC3.UGen.Record.FoaPressZ where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaPressZ = FoaPressZ {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaPressZ :: FoaPressZ
foaPressZ = FoaPressZ {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaPressZ :: FoaPressZ -> S.UGen
mkFoaPressZ (FoaPressZ  a' b' c' d' e') = S.mkOsc S.AR "FoaPressZ" [a',b',c',d',e'] 4
instance Make FoaPressZ where
  ugen = mkFoaPressZ
