-- | First Order Ambisonic (FOA) push transformer
module Sound.SC3.UGen.Record.FoaPushX where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaPushX = FoaPushX {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaPushX :: FoaPushX
foaPushX = FoaPushX {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaPushX :: FoaPushX -> S.UGen
mkFoaPushX (FoaPushX  a' b' c' d' e') = S.mkOsc S.AR "FoaPushX" [a',b',c',d',e'] 4
instance Make FoaPushX where
  ugen = mkFoaPushX
