-- | First Order Ambisonic (FOA) push transformer
module Sound.SC3.UGen.Record.FoaPushY where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaPushY = FoaPushY {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaPushY :: FoaPushY
foaPushY = FoaPushY {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaPushY :: FoaPushY -> S.UGen
mkFoaPushY (FoaPushY  a' b' c' d' e') = S.mkOsc S.AR "FoaPushY" [a',b',c',d',e'] 4
instance Make FoaPushY where
  ugen = mkFoaPushY
