-- | First Order Ambisonic (FOA) push transformer
module Sound.SC3.UGen.Record.FoaPushZ where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaPushZ = FoaPushZ {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaPushZ :: FoaPushZ
foaPushZ = FoaPushZ {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaPushZ :: FoaPushZ -> S.UGen
mkFoaPushZ (FoaPushZ  a' b' c' d' e') = S.mkOsc S.AR "FoaPushZ" [a',b',c',d',e'] 4
instance Make FoaPushZ where
  ugen = mkFoaPushZ
