-- | First Order Ambisonic (FOA) rotation transformer
module Sound.SC3.UGen.Record.FoaRotate where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaRotate = FoaRotate {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaRotate :: FoaRotate
foaRotate = FoaRotate {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaRotate :: FoaRotate -> S.UGen
mkFoaRotate (FoaRotate  a' b' c' d' e') = S.mkOsc S.AR "FoaRotate" [a',b',c',d',e'] 4
instance Make FoaRotate where
  ugen = mkFoaRotate
