-- | First Order Ambisonic (FOA) rotation transformer
module Sound.SC3.UGen.Record.FoaTilt where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaTilt = FoaTilt {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaTilt :: FoaTilt
foaTilt = FoaTilt {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaTilt :: FoaTilt -> S.UGen
mkFoaTilt (FoaTilt  a' b' c' d' e') = S.mkOsc S.AR "FoaTilt" [a',b',c',d',e'] 4
instance Make FoaTilt where
  ugen = mkFoaTilt
