-- | First Order Ambisonic (FOA) zoom transformer
module Sound.SC3.UGen.Record.FoaZoomX where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaZoomX = FoaZoomX {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaZoomX :: FoaZoomX
foaZoomX = FoaZoomX {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaZoomX :: FoaZoomX -> S.UGen
mkFoaZoomX (FoaZoomX  a' b' c' d' e') = S.mkOsc S.AR "FoaZoomX" [a',b',c',d',e'] 4
instance Make FoaZoomX where
  ugen = mkFoaZoomX
