-- | First Order Ambisonic (FOA) zoom transformer
module Sound.SC3.UGen.Record.FoaZoomY where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaZoomY = FoaZoomY {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaZoomY :: FoaZoomY
foaZoomY = FoaZoomY {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaZoomY :: FoaZoomY -> S.UGen
mkFoaZoomY (FoaZoomY  a' b' c' d' e') = S.mkOsc S.AR "FoaZoomY" [a',b',c',d',e'] 4
instance Make FoaZoomY where
  ugen = mkFoaZoomY
