-- | First Order Ambisonic (FOA) zoom transformer
module Sound.SC3.UGen.Record.FoaZoomZ where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaZoomZ = FoaZoomZ {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaZoomZ :: FoaZoomZ
foaZoomZ = FoaZoomZ {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaZoomZ :: FoaZoomZ -> S.UGen
mkFoaZoomZ (FoaZoomZ  a' b' c' d' e') = S.mkOsc S.AR "FoaZoomZ" [a',b',c',d',e'] 4
instance Make FoaZoomZ where
  ugen = mkFoaZoomZ
