-- | gingerbreadman map 2D chaotic generator
module Sound.SC3.UGen.Record.Gbman2DC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Gbman2DC = Gbman2DC {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
gbman2DC :: Gbman2DC
gbman2DC = Gbman2DC {
  rate = S.AR,
  minfreq = 11025.0,
  maxfreq = 22050.0,
  x0 = 1.2,
  y0 = 2.1
  }
mkGbman2DC :: Gbman2DC -> S.UGen
mkGbman2DC (Gbman2DC r a' b' c' d') = S.mkOsc r "Gbman2DC" [a',b',c',d'] 1
instance Make Gbman2DC where
  ugen = mkGbman2DC
