-- | (not documented)
module Sound.SC3.UGen.Record.GbmanTrig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data GbmanTrig = GbmanTrig {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
gbmanTrig :: GbmanTrig
gbmanTrig = GbmanTrig {
  rate = S.AR,
  minfreq = 5.0,
  maxfreq = 10.0,
  x0 = 1.2,
  y0 = 2.1
  }
mkGbmanTrig :: GbmanTrig -> S.UGen
mkGbmanTrig (GbmanTrig r a' b' c' d') = S.mkOsc r "GbmanTrig" [a',b',c',d'] 1
instance Make GbmanTrig where
  ugen = mkGbmanTrig
