-- | Read a signal from a bus.
module Sound.SC3.UGen.Record.In where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data In = In {
  rate :: S.Rate,
  bus :: S.UGen
  } deriving (Show)
in' :: In
in' = In {
  rate = S.AR,
  bus = 0.0
  }
mkIn :: In -> S.UGen
mkIn (In r a') = S.mkOsc r "In" [a'] undefined
instance Make In where
  ugen = mkIn
