-- | Index into a table with a signal
module Sound.SC3.UGen.Record.Index where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Index = Index {
  rate :: S.Rate,
  bufnum :: S.UGen,
  input :: S.UGen
  } deriving (Show)
index :: Index
index = Index {
  rate = S.AR,
  bufnum = 0.0,
  input = 0.0
  }
mkIndex :: Index -> S.UGen
mkIndex (Index r a' b') = S.mkOsc r "Index" [a',b'] 1
instance Make Index where
  ugen = mkIndex
