-- | Distortion by subtracting magnitude from 1
module Sound.SC3.UGen.Record.InsideOut where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data InsideOut = InsideOut {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
insideOut :: InsideOut
insideOut = InsideOut {
  rate = S.AR,
  input = 0.0
  }
mkInsideOut :: InsideOut -> S.UGen
mkInsideOut (InsideOut r a') = S.mkOsc r "InsideOut" [a'] 1
instance Make InsideOut where
  ugen = mkInsideOut
