-- | (not documented)
module Sound.SC3.UGen.Record.KmeansToBPSet1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data KmeansToBPSet1 = KmeansToBPSet1 {
  freq :: S.UGen,
  numdatapoints :: S.UGen,
  maxnummeans :: S.UGen,
  nummeans :: S.UGen,
  tnewdata :: S.UGen,
  tnewmeans :: S.UGen,
  soft :: S.UGen,
  bufnum :: S.UGen
  } deriving (Show)
kmeansToBPSet1 :: KmeansToBPSet1
kmeansToBPSet1 = KmeansToBPSet1 {
  freq = 440.0,
  numdatapoints = 20.0,
  maxnummeans = 4.0,
  nummeans = 4.0,
  tnewdata = 1.0,
  tnewmeans = 1.0,
  soft = 1.0,
  bufnum = 0.0
  }
mkKmeansToBPSet1 :: KmeansToBPSet1 -> S.UGen
mkKmeansToBPSet1 (KmeansToBPSet1  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "KmeansToBPSet1" [a',b',c',d',e',f',g',h'] 1
instance Make KmeansToBPSet1 where
  ugen = mkKmeansToBPSet1
