-- | random walk cubic interp
module Sound.SC3.UGen.Record.LFBrownNoise2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFBrownNoise2 = LFBrownNoise2 {
  rate :: S.Rate,
  freq :: S.UGen,
  dev :: S.UGen,
  dist :: S.UGen
  } deriving (Show)
lFBrownNoise2 :: LFBrownNoise2
lFBrownNoise2 = LFBrownNoise2 {
  rate = S.AR,
  freq = 20.0,
  dev = 1.0,
  dist = 0.0
  }
mkLFBrownNoise2 :: LFBrownNoise2 -> S.UGen
mkLFBrownNoise2 (LFBrownNoise2 r a' b' c') = S.mkOsc r "LFBrownNoise2" [a',b',c'] 1
instance Make LFBrownNoise2 where
  ugen = mkLFBrownNoise2
