-- | Dynamic cubic noise
module Sound.SC3.UGen.Record.LFDNoise3 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFDNoise3 = LFDNoise3 {
  rate :: S.Rate,
  freq :: S.UGen
  } deriving (Show)
lFDNoise3 :: LFDNoise3
lFDNoise3 = LFDNoise3 {
  rate = S.AR,
  freq = 500.0
  }
mkLFDNoise3 :: LFDNoise3 -> S.UGen
mkLFDNoise3 (LFDNoise3 r a') = S.mkOsc r "LFDNoise3" [a'] 1
instance Make LFDNoise3 where
  ugen = mkLFDNoise3
