-- | (not documented)
module Sound.SC3.UGen.Record.LPFVS6 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LPFVS6 = LPFVS6 {
  rate :: S.Rate,
  input :: S.UGen,
  freq :: S.UGen,
  slope :: S.UGen
  } deriving (Show)
lPFVS6 :: LPFVS6
lPFVS6 = LPFVS6 {
  rate = S.AR,
  input = 0.0,
  freq = 1000.0,
  slope = 0.5
  }
mkLPFVS6 :: LPFVS6 -> S.UGen
mkLPFVS6 (LPFVS6 r a' b' c') = S.mkOsc r "LPFVS6" [a',b',c'] 1
instance Make LPFVS6 where
  ugen = mkLPFVS6
