-- | Exponential lag
module Sound.SC3.UGen.Record.Lag3 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Lag3 = Lag3 {
  rate :: S.Rate,
  input :: S.UGen,
  lagTime :: S.UGen
  } deriving (Show)
lag3 :: Lag3
lag3 = Lag3 {
  rate = S.AR,
  input = 0.0,
  lagTime = 0.1
  }
mkLag3 :: Lag3 -> S.UGen
mkLag3 (Lag3 r a' b') = S.mkOsc r "Lag3" [a',b'] 1
instance Make Lag3 where
  ugen = mkLag3
