-- | Read a control signal from a bus with a lag
module Sound.SC3.UGen.Record.LagIn where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LagIn = LagIn {
  bus :: S.UGen,
  lag :: S.UGen
  } deriving (Show)
lagIn :: LagIn
lagIn = LagIn {
  bus = 0.0,
  lag = 0.1
  }
mkLagIn :: LagIn -> S.UGen
mkLagIn (LagIn  a' b') = S.mkOsc S.KR "LagIn" [a',b'] undefined
instance Make LagIn where
  ugen = mkLagIn
