-- | Median of recent values, triggered
module Sound.SC3.UGen.Record.MedianTriggered where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MedianTriggered = MedianTriggered {
  rate :: S.Rate,
  input :: S.UGen,
  trig :: S.UGen,
  length_ :: S.UGen
  } deriving (Show)
medianTriggered :: MedianTriggered
medianTriggered = MedianTriggered {
  rate = S.AR,
  input = 0.0,
  trig = 0.0,
  length_ = 10.0
  }
mkMedianTriggered :: MedianTriggered -> S.UGen
mkMedianTriggered (MedianTriggered r a' b' c') = S.mkOsc r "MedianTriggered" [a',b',c'] 1
instance Make MedianTriggered where
  ugen = mkMedianTriggered
