-- | (not documented)
module Sound.SC3.UGen.Record.NL2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data NL2 = NL2 {
  input :: S.UGen,
  bufnum :: S.UGen,
  maxsizea :: S.UGen,
  maxsizeb :: S.UGen,
  guard1 :: S.UGen,
  guard2 :: S.UGen
  } deriving (Show)
nL2 :: NL2
nL2 = NL2 {
  input = 0.0,
  bufnum = 0.0,
  maxsizea = 10.0,
  maxsizeb = 10.0,
  guard1 = 1000.0,
  guard2 = 100.0
  }
mkNL2 :: NL2 -> S.UGen
mkNL2 (NL2  a' b' c' d' e' f') = S.mkOsc S.AR "NL2" [a',b',c',d',e',f'] 1
instance Make NL2 where
  ugen = mkNL2
