-- | (not documented)
module Sound.SC3.UGen.Record.NeedleRect where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data NeedleRect = NeedleRect {
  rate_ :: S.UGen,
  imgWidth :: S.UGen,
  imgHeight :: S.UGen,
  rectX :: S.UGen,
  rectY :: S.UGen,
  rectW :: S.UGen,
  rectH :: S.UGen
  } deriving (Show)
needleRect :: NeedleRect
needleRect = NeedleRect {
  rate_ = 1.0,
  imgWidth = 100.0,
  imgHeight = 100.0,
  rectX = 0.0,
  rectY = 0.0,
  rectW = 100.0,
  rectH = 100.0
  }
mkNeedleRect :: NeedleRect -> S.UGen
mkNeedleRect (NeedleRect  a' b' c' d' e' f' g') = S.mkOsc S.AR "NeedleRect" [a',b',c',d',e',f',g'] 1
instance Make NeedleRect where
  ugen = mkNeedleRect
