-- | (not documented)
module Sound.SC3.UGen.Record.PVSynth where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PVSynth = PVSynth {
  pvbuffer :: S.UGen,
  numBins :: S.UGen,
  binStart :: S.UGen,
  binSkip :: S.UGen,
  filePointer :: S.UGen,
  freqMul :: S.UGen,
  freqAdd :: S.UGen
  } deriving (Show)
pVSynth :: PVSynth
pVSynth = PVSynth {
  pvbuffer = 0.0,
  numBins = 0.0,
  binStart = 0.0,
  binSkip = 1.0,
  filePointer = 0.0,
  freqMul = 1.0,
  freqAdd = 0.0
  }
mkPVSynth :: PVSynth -> S.UGen
mkPVSynth (PVSynth  a' b' c' d' e' f' g') = S.mkOsc S.AR "PVSynth" [a',b',c',d',e',f',g'] 1
instance Make PVSynth where
  ugen = mkPVSynth
