-- | Shift and stretch bin position.
module Sound.SC3.UGen.Record.PV_BinShift where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_BinShift = PV_BinShift {
  buffer :: S.UGen,
  stretch :: S.UGen,
  shift :: S.UGen
  } deriving (Show)
pV_BinShift :: PV_BinShift
pV_BinShift = PV_BinShift {
  buffer = 0.0,
  stretch = 1.0,
  shift = 0.0
  }
mkPV_BinShift :: PV_BinShift -> S.UGen
mkPV_BinShift (PV_BinShift  a' b' c') = S.mkOsc S.KR "PV_BinShift" [a',b',c'] 1
instance Make PV_BinShift where
  ugen = mkPV_BinShift
