-- | returns common magnitudes
module Sound.SC3.UGen.Record.PV_CommonMag where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_CommonMag = PV_CommonMag {
  bufferA :: S.UGen,
  bufferB :: S.UGen,
  tolerance :: S.UGen,
  remove :: S.UGen
  } deriving (Show)
pV_CommonMag :: PV_CommonMag
pV_CommonMag = PV_CommonMag {
  bufferA = 0.0,
  bufferB = 0.0,
  tolerance = 0.0,
  remove = 0.0
  }
mkPV_CommonMag :: PV_CommonMag -> S.UGen
mkPV_CommonMag (PV_CommonMag  a' b' c' d') = S.mkOsc S.KR "PV_CommonMag" [a',b',c',d'] 1
instance Make PV_CommonMag where
  ugen = mkPV_CommonMag
