-- | zero bins with interpolation
module Sound.SC3.UGen.Record.PV_Cutoff where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_Cutoff = PV_Cutoff {
  bufferA :: S.UGen,
  bufferB :: S.UGen,
  wipe :: S.UGen
  } deriving (Show)
pV_Cutoff :: PV_Cutoff
pV_Cutoff = PV_Cutoff {
  bufferA = 0.0,
  bufferB = 0.0,
  wipe = 0.0
  }
mkPV_Cutoff :: PV_Cutoff -> S.UGen
mkPV_Cutoff (PV_Cutoff  a' b' c') = S.mkOsc S.KR "PV_Cutoff" [a',b',c'] 1
instance Make PV_Cutoff where
  ugen = mkPV_Cutoff
