-- | Shift phase by 90 degrees.
module Sound.SC3.UGen.Record.PV_PhaseShift90 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_PhaseShift90 = PV_PhaseShift90 {
  buffer :: S.UGen
  } deriving (Show)
pV_PhaseShift90 :: PV_PhaseShift90
pV_PhaseShift90 = PV_PhaseShift90 {
  buffer = 0.0
  }
mkPV_PhaseShift90 :: PV_PhaseShift90 -> S.UGen
mkPV_PhaseShift90 (PV_PhaseShift90  a') = S.mkOsc S.KR "PV_PhaseShift90" [a'] 1
instance Make PV_PhaseShift90 where
  ugen = mkPV_PhaseShift90
