-- | (not documented)
module Sound.SC3.UGen.Record.PV_SpectralMap where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_SpectralMap = PV_SpectralMap {
  buffer :: S.UGen,
  specBuffer :: S.UGen,
  floor_ :: S.UGen,
  freeze :: S.UGen,
  mode :: S.UGen,
  norm :: S.UGen,
  window :: S.UGen
  } deriving (Show)
pV_SpectralMap :: PV_SpectralMap
pV_SpectralMap = PV_SpectralMap {
  buffer = 0.0,
  specBuffer = 0.0,
  floor_ = 0.0,
  freeze = 0.0,
  mode = 0.0,
  norm = 0.0,
  window = 0.0
  }
mkPV_SpectralMap :: PV_SpectralMap -> S.UGen
mkPV_SpectralMap (PV_SpectralMap  a' b' c' d' e' f' g') = S.mkOsc S.KR "PV_SpectralMap" [a',b',c',d',e',f',g'] 1
instance Make PV_SpectralMap where
  ugen = mkPV_SpectralMap
