-- | (not documented)
module Sound.SC3.UGen.Record.RMEQ where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RMEQ = RMEQ {
  input :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen,
  k :: S.UGen
  } deriving (Show)
rMEQ :: RMEQ
rMEQ = RMEQ {
  input = 0.0,
  freq = 440.0,
  rq = 0.1,
  k = 0.0
  }
mkRMEQ :: RMEQ -> S.UGen
mkRMEQ (RMEQ  a' b' c' d') = S.mkOsc S.AR "RMEQ" [a',b',c',d'] 1
instance Make RMEQ where
  ugen = mkRMEQ
