-- | Rotate a sound field.
module Sound.SC3.UGen.Record.Rotate2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Rotate2 = Rotate2 {
  rate :: S.Rate,
  x :: S.UGen,
  y :: S.UGen,
  pos :: S.UGen
  } deriving (Show)
rotate2 :: Rotate2
rotate2 = Rotate2 {
  rate = S.AR,
  x = 0.0,
  y = 0.0,
  pos = 0.0
  }
mkRotate2 :: Rotate2 -> S.UGen
mkRotate2 (Rotate2 r a' b' c') = S.mkOsc r "Rotate2" [a',b',c'] 2
instance Make Rotate2 where
  ugen = mkRotate2
