-- | Band limited sawtooth.
module Sound.SC3.UGen.Record.Saw where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Saw = Saw {
  rate :: S.Rate,
  freq :: S.UGen
  } deriving (Show)
saw :: Saw
saw = Saw {
  rate = S.AR,
  freq = 440.0
  }
mkSaw :: Saw -> S.UGen
mkSaw (Saw r a') = S.mkOsc r "Saw" [a'] 1
instance Make Saw where
  ugen = mkSaw
