module Sound.SC3.UGen.Record.SharedOut where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SharedOut = SharedOut {
  bus :: S.UGen,
  input :: S.UGen
  } deriving (Show)
sharedOut :: SharedOut
sharedOut = SharedOut {
  bus = 0.0,
  input = 0.0
  }
mkSharedOut :: SharedOut -> S.UGen
mkSharedOut (SharedOut  a' b') = S.mkOsc S.KR "SharedOut" [a',b'] 1
instance Make SharedOut where
  ugen = mkSharedOut
