-- | (not documented)
module Sound.SC3.UGen.Record.SkipNeedle where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SkipNeedle = SkipNeedle {
  range :: S.UGen,
  rate_ :: S.UGen,
  offset :: S.UGen
  } deriving (Show)
skipNeedle :: SkipNeedle
skipNeedle = SkipNeedle {
  range = 44100.0,
  rate_ = 10.0,
  offset = 0.0
  }
mkSkipNeedle :: SkipNeedle -> S.UGen
mkSkipNeedle (SkipNeedle  a' b' c') = S.mkOsc S.AR "SkipNeedle" [a',b',c'] 1
instance Make SkipNeedle where
  ugen = mkSkipNeedle
