-- | port of some ladspa plugins
module Sound.SC3.UGen.Record.SmoothDecimator where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SmoothDecimator = SmoothDecimator {
  input :: S.UGen,
  rate_ :: S.UGen,
  smoothing :: S.UGen
  } deriving (Show)
smoothDecimator :: SmoothDecimator
smoothDecimator = SmoothDecimator {
  input = 0.0,
  rate_ = 44100.0,
  smoothing = 0.5
  }
mkSmoothDecimator :: SmoothDecimator -> S.UGen
mkSmoothDecimator (SmoothDecimator  a' b' c') = S.mkOsc S.AR "SmoothDecimator" [a',b',c'] 1
instance Make SmoothDecimator where
  ugen = mkSmoothDecimator
