-- | (not documented)
module Sound.SC3.UGen.Record.StkMandolin where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkMandolin = StkMandolin {
  rate :: S.Rate,
  freq :: S.UGen,
  bodysize :: S.UGen,
  pickposition :: S.UGen,
  stringdamping :: S.UGen,
  stringdetune :: S.UGen,
  aftertouch :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
stkMandolin :: StkMandolin
stkMandolin = StkMandolin {
  rate = S.AR,
  freq = 520.0,
  bodysize = 64.0,
  pickposition = 64.0,
  stringdamping = 69.0,
  stringdetune = 10.0,
  aftertouch = 64.0,
  trig = 1.0
  }
mkStkMandolin :: StkMandolin -> S.UGen
mkStkMandolin (StkMandolin r a' b' c' d' e' f' g') = S.mkOsc r "StkMandolin" [a',b',c',d',e',f',g'] 1
instance Make StkMandolin where
  ugen = mkStkMandolin
