-- | (not documented)
module Sound.SC3.UGen.Record.StkModalBar where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkModalBar = StkModalBar {
  rate :: S.Rate,
  freq :: S.UGen,
  instrument :: S.UGen,
  stickhardness :: S.UGen,
  stickposition :: S.UGen,
  vibratogain :: S.UGen,
  vibratofreq :: S.UGen,
  directstickmix :: S.UGen,
  volume :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
stkModalBar :: StkModalBar
stkModalBar = StkModalBar {
  rate = S.AR,
  freq = 440.0,
  instrument = 0.0,
  stickhardness = 64.0,
  stickposition = 64.0,
  vibratogain = 20.0,
  vibratofreq = 20.0,
  directstickmix = 64.0,
  volume = 64.0,
  trig = 1.0
  }
mkStkModalBar :: StkModalBar -> S.UGen
mkStkModalBar (StkModalBar r a' b' c' d' e' f' g' h' i') = S.mkOsc r "StkModalBar" [a',b',c',d',e',f',g',h',i'] 1
instance Make StkModalBar where
  ugen = mkStkModalBar
