-- | (not documented)
module Sound.SC3.UGen.Record.StkPluck where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkPluck = StkPluck {
  rate :: S.Rate,
  freq :: S.UGen,
  decay :: S.UGen
  } deriving (Show)
stkPluck :: StkPluck
stkPluck = StkPluck {
  rate = S.AR,
  freq = 440.0,
  decay = 0.99
  }
mkStkPluck :: StkPluck -> S.UGen
mkStkPluck (StkPluck r a' b') = S.mkOsc r "StkPluck" [a',b'] 1
instance Make StkPluck where
  ugen = mkStkPluck
