-- | String resonance filter
module Sound.SC3.UGen.Record.Streson where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Streson = Streson {
  rate :: S.Rate,
  input :: S.UGen,
  delayTime :: S.UGen,
  res :: S.UGen
  } deriving (Show)
streson :: Streson
streson = Streson {
  rate = S.AR,
  input = 0.0,
  delayTime = 0.003,
  res = 0.9
  }
mkStreson :: Streson -> S.UGen
mkStreson (Streson r a' b' c') = S.mkOsc r "Streson" [a',b',c'] 1
instance Make Streson where
  ugen = mkStreson
