-- | triggered beta random distribution
module Sound.SC3.UGen.Record.TBetaRand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TBetaRand = TBetaRand {
  rate :: S.Rate,
  lo :: S.UGen,
  hi :: S.UGen,
  prob1 :: S.UGen,
  prob2 :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
tBetaRand :: TBetaRand
tBetaRand = TBetaRand {
  rate = S.AR,
  lo = 0.0,
  hi = 1.0,
  prob1 = 0.0,
  prob2 = 0.0,
  trig = 0.0
  }
mkTBetaRand :: TBetaRand -> S.UGen
mkTBetaRand (TBetaRand r a' b' c' d' e') = S.mkOsc r "TBetaRand" [a',b',c',d',e'] 1
instance Make TBetaRand where
  ugen = mkTBetaRand
