-- | Randomly select one of several inputs
module Sound.SC3.UGen.Record.TWChoose where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TWChoose = TWChoose {
  rate :: S.Rate,
  trig :: S.UGen,
  array :: S.UGen,
  weights :: S.UGen,
  normalize :: S.UGen
  } deriving (Show)
tWChoose :: TWChoose
tWChoose = TWChoose {
  rate = S.AR,
  trig = 0.0,
  array = 0.0,
  weights = 0.0,
  normalize = 0.0
  }
mkTWChoose :: TWChoose -> S.UGen
mkTWChoose (TWChoose r a' b' c' d') = S.mkOsc r "TWChoose" [a',b',c',d'] 1
instance Make TWChoose where
  ugen = mkTWChoose
