-- | Returns time since last triggered.
module Sound.SC3.UGen.Record.Timer where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Timer = Timer {
  rate :: S.Rate,
  trig :: S.UGen
  } deriving (Show)
timer :: Timer
timer = Timer {
  rate = S.AR,
  trig = 0.0
  }
mkTimer :: Timer -> S.UGen
mkTimer (Timer r a') = S.mkOsc r "Timer" [a'] 1
instance Make Timer where
  ugen = mkTimer
