-- | triggered signal averager
module Sound.SC3.UGen.Record.TrigAvg where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TrigAvg = TrigAvg {
  input :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
trigAvg :: TrigAvg
trigAvg = TrigAvg {
  input = 0.0,
  trig = 0.0
  }
mkTrigAvg :: TrigAvg -> S.UGen
mkTrigAvg (TrigAvg  a' b') = S.mkOsc S.KR "TrigAvg" [a',b'] 1
instance Make TrigAvg where
  ugen = mkTrigAvg
