-- | (not documented)
module Sound.SC3.UGen.Record.WarpZ where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data WarpZ = WarpZ {
  bufnum :: S.UGen,
  pointer :: S.UGen,
  freqScale :: S.UGen,
  windowSize :: S.UGen,
  envbufnum :: S.UGen,
  overlaps :: S.UGen,
  windowRandRatio :: S.UGen,
  interp :: S.UGen,
  zeroSearch :: S.UGen,
  zeroStart :: S.UGen
  } deriving (Show)
warpZ :: WarpZ
warpZ = WarpZ {
  bufnum = 0.0,
  pointer = 0.0,
  freqScale = 1.0,
  windowSize = 0.2,
  envbufnum = -1.0,
  overlaps = 8.0,
  windowRandRatio = 0.0,
  interp = 1.0,
  zeroSearch = 0.0,
  zeroStart = 0.0
  }
mkWarpZ :: WarpZ -> S.UGen
mkWarpZ (WarpZ  a' b' c' d' e' f' g' h' i' j') = S.mkOsc S.AR "WarpZ" [a',b',c',d',e',f',g',h',i',j'] undefined
instance Make WarpZ where
  ugen = mkWarpZ
