-- | FIXME: APF purpose.
module Sound.SC3.UGen.Record.APF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data APF = APF {
  rate :: S.Rate,
  input :: S.UGen,
  freq :: S.UGen,
  radius :: S.UGen
  } deriving (Show)
aPF :: APF
aPF = APF {
  rate = S.AR,
  input = 0.0,
  freq = 440.0,
  radius = 0.8
  }
mkAPF :: APF -> S.UGen
mkAPF (APF r a' b' c') = S.mkOsc r "APF" [a',b',c'] 1
instance Make APF where
  ugen = mkAPF
