-- | Abstract class for in ugens
module Sound.SC3.UGen.Record.AbstractIn where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data AbstractIn = AbstractIn {
  maxSize :: S.UGen
  } deriving (Show)
abstractIn :: AbstractIn
abstractIn = AbstractIn {
  maxSize = 0.0
  }
mkAbstractIn :: AbstractIn -> S.UGen
mkAbstractIn (AbstractIn  a') = S.mkOsc S.AR "AbstractIn" [a'] 1
instance Make AbstractIn where
  ugen = mkAbstractIn
