-- | (not documented)
module Sound.SC3.UGen.Record.AtsPartial where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data AtsPartial = AtsPartial {
  atsbuffer :: S.UGen,
  partial :: S.UGen,
  filePointer :: S.UGen,
  freqMul :: S.UGen,
  freqAdd :: S.UGen
  } deriving (Show)
atsPartial :: AtsPartial
atsPartial = AtsPartial {
  atsbuffer = 0.0,
  partial = 0.0,
  filePointer = 0.0,
  freqMul = 1.0,
  freqAdd = 0.0
  }
mkAtsPartial :: AtsPartial -> S.UGen
mkAtsPartial (AtsPartial  a' b' c' d' e') = S.mkOsc S.AR "AtsPartial" [a',b',c',d',e'] 1
instance Make AtsPartial where
  ugen = mkAtsPartial
