-- | (not documented)
module Sound.SC3.UGen.Record.BFEncodeSter where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BFEncodeSter = BFEncodeSter {
  l :: S.UGen,
  r :: S.UGen,
  azimuth :: S.UGen,
  width :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  gain :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
bFEncodeSter :: BFEncodeSter
bFEncodeSter = BFEncodeSter {
  l = 0.0,
  r = 0.0,
  azimuth = 0.0,
  width = 1.5707963267949,
  elevation = 0.0,
  rho = 1.0,
  gain = 1.0,
  wComp = 0.0
  }
mkBFEncodeSter :: BFEncodeSter -> S.UGen
mkBFEncodeSter (BFEncodeSter  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "BFEncodeSter" [a',b',c',d',e',f',g',h'] 4
instance Make BFEncodeSter where
  ugen = mkBFEncodeSter
