-- | Current number of frames allocated in the buffer.
module Sound.SC3.UGen.Record.BufFrames where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufFrames = BufFrames {
  rate :: S.Rate,
  bufnum :: S.UGen
  } deriving (Show)
bufFrames :: BufFrames
bufFrames = BufFrames {
  rate = S.AR,
  bufnum = 0.0
  }
mkBufFrames :: BufFrames -> S.UGen
mkBufFrames (BufFrames r a') = S.mkOsc r "BufFrames" [a'] 1
instance Make BufFrames where
  ugen = mkBufFrames
