-- | Quefrency analysis and liftering
module Sound.SC3.UGen.Record.Cepstrum where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Cepstrum = Cepstrum {
  cepbuf :: S.UGen,
  fftchain :: S.UGen
  } deriving (Show)
cepstrum :: Cepstrum
cepstrum = Cepstrum {
  cepbuf = 0.0,
  fftchain = 0.0
  }
mkCepstrum :: Cepstrum -> S.UGen
mkCepstrum (Cepstrum  a' b') = S.mkOsc S.KR "Cepstrum" [a',b'] 1
instance Make Cepstrum where
  ugen = mkCepstrum
