-- | (not documented)
module Sound.SC3.UGen.Record.Clipper8 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Clipper8 = Clipper8 {
  input :: S.UGen,
  lo :: S.UGen,
  hi :: S.UGen
  } deriving (Show)
clipper8 :: Clipper8
clipper8 = Clipper8 {
  input = 0.0,
  lo = -0.8,
  hi = 0.8
  }
mkClipper8 :: Clipper8 -> S.UGen
mkClipper8 (Clipper8  a' b' c') = S.mkOsc S.AR "Clipper8" [a',b',c'] 1
instance Make Clipper8 where
  ugen = mkClipper8
