-- | port of some ladspa plugins
module Sound.SC3.UGen.Record.CrossoverDistortion where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CrossoverDistortion = CrossoverDistortion {
  input :: S.UGen,
  amp :: S.UGen,
  smooth :: S.UGen
  } deriving (Show)
crossoverDistortion :: CrossoverDistortion
crossoverDistortion = CrossoverDistortion {
  input = 0.0,
  amp = 0.5,
  smooth = 0.5
  }
mkCrossoverDistortion :: CrossoverDistortion -> S.UGen
mkCrossoverDistortion (CrossoverDistortion  a' b' c') = S.mkOsc S.AR "CrossoverDistortion" [a',b',c'] 1
instance Make CrossoverDistortion where
  ugen = mkCrossoverDistortion
