-- | Demand results from demand rate UGens.
module Sound.SC3.UGen.Record.Demand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Demand = Demand {
  rate :: S.Rate,
  trig :: S.UGen,
  reset :: S.UGen,
  demandUGens :: S.UGen
  } deriving (Show)
demand :: Demand
demand = Demand {
  rate = S.AR,
  trig = 0.0,
  reset = 0.0,
  demandUGens = 0.0
  }
mkDemand :: Demand -> S.UGen
mkDemand (Demand r a' b' c') = S.mkOsc r "Demand" [a',b',c'] 1
instance Make Demand where
  ugen = mkDemand
