-- | A Demand UGen running an adapted BetaBlocker VChip
module Sound.SC3.UGen.Record.DetaBlockerBuf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DetaBlockerBuf = DetaBlockerBuf {
  bufnum :: S.UGen,
  startpoint :: S.UGen
  } deriving (Show)
detaBlockerBuf :: DetaBlockerBuf
detaBlockerBuf = DetaBlockerBuf {
  bufnum = 0.0,
  startpoint = 0.0
  }
mkDetaBlockerBuf :: DetaBlockerBuf -> S.UGen
mkDetaBlockerBuf (DetaBlockerBuf  a' b') = S.mkOsc S.DR "DetaBlockerBuf" [a',b'] 1
instance Make DetaBlockerBuf where
  ugen = mkDetaBlockerBuf
