-- | (not documented)
module Sound.SC3.UGen.Record.DoubleWell where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DoubleWell = DoubleWell {
  reset :: S.UGen,
  ratex :: S.UGen,
  ratey :: S.UGen,
  f :: S.UGen,
  w :: S.UGen,
  delta :: S.UGen,
  initx :: S.UGen,
  inity :: S.UGen
  } deriving (Show)
doubleWell :: DoubleWell
doubleWell = DoubleWell {
  reset = 0.0,
  ratex = 0.01,
  ratey = 0.01,
  f = 1.0,
  w = 0.001,
  delta = 1.0,
  initx = 0.0,
  inity = 0.0
  }
mkDoubleWell :: DoubleWell -> S.UGen
mkDoubleWell (DoubleWell  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "DoubleWell" [a',b',c',d',e',f',g',h'] 1
instance Make DoubleWell where
  ugen = mkDoubleWell
