-- | Demand rate random sequence generator.
module Sound.SC3.UGen.Record.Drand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Drand = Drand {
  list :: S.UGen,
  repeats :: S.UGen
  } deriving (Show)
drand :: Drand
drand = Drand {
  list = 0.0,
  repeats = 1.0
  }
mkDrand :: Drand -> S.UGen
mkDrand (Drand  a' b') = S.mkOsc S.DR "Drand" [a',b'] 1
instance Make Drand where
  ugen = mkDrand
