-- | Demand rate random sequence generator
module Sound.SC3.UGen.Record.Dshuf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dshuf = Dshuf {
  list :: S.UGen,
  repeats :: S.UGen
  } deriving (Show)
dshuf :: Dshuf
dshuf = Dshuf {
  list = 0.0,
  repeats = 1.0
  }
mkDshuf :: Dshuf -> S.UGen
mkDshuf (Dshuf  a' b') = S.mkOsc S.DR "Dshuf" [a',b'] 1
instance Make Dshuf where
  ugen = mkDshuf
