module Sound.SC3.UGen.Record.Dwrand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dwrand = Dwrand {
  list :: S.UGen,
  weights :: S.UGen,
  repeats :: S.UGen
  } deriving (Show)
dwrand :: Dwrand
dwrand = Dwrand {
  list = 0.0,
  weights = 0.0,
  repeats = 1.0
  }
mkDwrand :: Dwrand -> S.UGen
mkDwrand (Dwrand  a' b' c') = S.mkOsc S.DR "Dwrand" [a',b',c'] 1
instance Make Dwrand where
  ugen = mkDwrand
