-- | Spectral spread
module Sound.SC3.UGen.Record.FFTSpread where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FFTSpread = FFTSpread {
  buffer :: S.UGen,
  centroid :: S.UGen
  } deriving (Show)
fFTSpread :: FFTSpread
fFTSpread = FFTSpread {
  buffer = 0.0,
  centroid = 0.0
  }
mkFFTSpread :: FFTSpread -> S.UGen
mkFFTSpread (FFTSpread  a' b') = S.mkOsc S.KR "FFTSpread" [a',b'] 1
instance Make FFTSpread where
  ugen = mkFFTSpread
