-- | (not documented)
module Sound.SC3.UGen.Record.FMGrainI where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FMGrainI = FMGrainI {
  trigger :: S.UGen,
  dur :: S.UGen,
  carfreq :: S.UGen,
  modfreq :: S.UGen,
  index :: S.UGen,
  envbuf1 :: S.UGen,
  envbuf2 :: S.UGen,
  ifac :: S.UGen
  } deriving (Show)
fMGrainI :: FMGrainI
fMGrainI = FMGrainI {
  trigger = 0.0,
  dur = 1.0,
  carfreq = 440.0,
  modfreq = 200.0,
  index = 1.0,
  envbuf1 = 0.0,
  envbuf2 = 0.0,
  ifac = 0.5
  }
mkFMGrainI :: FMGrainI -> S.UGen
mkFMGrainI (FMGrainI  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "FMGrainI" [a',b',c',d',e',f',g',h'] 1
instance Make FMGrainI where
  ugen = mkFMGrainI
