-- | (not documented)
module Sound.SC3.UGen.Record.FincoSprottL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FincoSprottL = FincoSprottL {
  freq :: S.UGen,
  a :: S.UGen,
  h :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen,
  zi :: S.UGen
  } deriving (Show)
fincoSprottL :: FincoSprottL
fincoSprottL = FincoSprottL {
  freq = 22050.0,
  a = 2.45,
  h = 0.05,
  xi = 0.0,
  yi = 0.0,
  zi = 0.0
  }
mkFincoSprottL :: FincoSprottL -> S.UGen
mkFincoSprottL (FincoSprottL  a' b' c' d' e' f') = S.mkOsc S.AR "FincoSprottL" [a',b',c',d',e',f'] 3
instance Make FincoSprottL where
  ugen = mkFincoSprottL
