-- | (not documented)
module Sound.SC3.UGen.Record.FincoSprottM where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FincoSprottM = FincoSprottM {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  h :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen,
  zi :: S.UGen
  } deriving (Show)
fincoSprottM :: FincoSprottM
fincoSprottM = FincoSprottM {
  freq = 22050.0,
  a = -7.0,
  b = 4.0,
  h = 0.05,
  xi = 0.0,
  yi = 0.0,
  zi = 0.0
  }
mkFincoSprottM :: FincoSprottM -> S.UGen
mkFincoSprottM (FincoSprottM  a' b' c' d' e' f' g') = S.mkOsc S.AR "FincoSprottM" [a',b',c',d',e',f',g'] 3
instance Make FincoSprottM where
  ugen = mkFincoSprottM
