-- | First Order Ambisonic (FOA) focus transformer
module Sound.SC3.UGen.Record.FoaFocusY where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaFocusY = FoaFocusY {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaFocusY :: FoaFocusY
foaFocusY = FoaFocusY {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaFocusY :: FoaFocusY -> S.UGen
mkFoaFocusY (FoaFocusY  a' b' c' d' e') = S.mkOsc S.AR "FoaFocusY" [a',b',c',d',e'] 4
instance Make FoaFocusY where
  ugen = mkFoaFocusY
