-- | First Order Ambisonic (FOA) nearfield compensation filter
module Sound.SC3.UGen.Record.FoaNFC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaNFC = FoaNFC {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  distance :: S.UGen
  } deriving (Show)
foaNFC :: FoaNFC
foaNFC = FoaNFC {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  distance = 1.0
  }
mkFoaNFC :: FoaNFC -> S.UGen
mkFoaNFC (FoaNFC  a' b' c' d' e') = S.mkOsc S.AR "FoaNFC" [a',b',c',d',e'] 4
instance Make FoaNFC where
  ugen = mkFoaNFC
