-- | First Order Ambisonic (FOA) rotation transformer
module Sound.SC3.UGen.Record.FoaTumble where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaTumble = FoaTumble {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaTumble :: FoaTumble
foaTumble = FoaTumble {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaTumble :: FoaTumble -> S.UGen
mkFoaTumble (FoaTumble  a' b' c' d' e') = S.mkOsc S.AR "FoaTumble" [a',b',c',d',e'] 4
instance Make FoaTumble where
  ugen = mkFoaTumble
