-- | calculates spectral MSE distance of two fft chains
module Sound.SC3.UGen.Record.FrameCompare where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FrameCompare = FrameCompare {
  buffer1 :: S.UGen,
  buffer2 :: S.UGen,
  wAmount :: S.UGen
  } deriving (Show)
frameCompare :: FrameCompare
frameCompare = FrameCompare {
  buffer1 = 0.0,
  buffer2 = 0.0,
  wAmount = 0.5
  }
mkFrameCompare :: FrameCompare -> S.UGen
mkFrameCompare (FrameCompare  a' b' c') = S.mkOsc S.KR "FrameCompare" [a',b',c'] 1
instance Make FrameCompare where
  ugen = mkFrameCompare
