-- | Gate or hold.
module Sound.SC3.UGen.Record.Gate where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Gate = Gate {
  rate :: S.Rate,
  input :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
gate :: Gate
gate = Gate {
  rate = S.AR,
  input = 0.0,
  trig = 0.0
  }
mkGate :: Gate -> S.UGen
mkGate (Gate r a' b') = S.mkOsc r "Gate" [a',b'] 1
instance Make Gate where
  ugen = mkGate
