-- | impulses around a certain frequency
module Sound.SC3.UGen.Record.GaussTrig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data GaussTrig = GaussTrig {
  rate :: S.Rate,
  freq :: S.UGen,
  dev :: S.UGen
  } deriving (Show)
gaussTrig :: GaussTrig
gaussTrig = GaussTrig {
  rate = S.AR,
  freq = 440.0,
  dev = 0.3
  }
mkGaussTrig :: GaussTrig -> S.UGen
mkGaussTrig (GaussTrig r a' b') = S.mkOsc r "GaussTrig" [a',b'] 1
instance Make GaussTrig where
  ugen = mkGaussTrig
