-- | gingerbreadman map 2D chaotic generator
module Sound.SC3.UGen.Record.Gbman2DN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Gbman2DN = Gbman2DN {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
gbman2DN :: Gbman2DN
gbman2DN = Gbman2DN {
  rate = S.AR,
  minfreq = 11025.0,
  maxfreq = 22050.0,
  x0 = 1.2,
  y0 = 2.1
  }
mkGbman2DN :: Gbman2DN -> S.UGen
mkGbman2DN (Gbman2DN r a' b' c' d') = S.mkOsc r "Gbman2DN" [a',b',c',d'] 1
instance Make Gbman2DN where
  ugen = mkGbman2DN
