-- | (not documented)
module Sound.SC3.UGen.Record.GravityGrid where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data GravityGrid = GravityGrid {
  reset :: S.UGen,
  rate_ :: S.UGen,
  newx :: S.UGen,
  newy :: S.UGen,
  bufnum :: S.UGen
  } deriving (Show)
gravityGrid :: GravityGrid
gravityGrid = GravityGrid {
  reset = 0.0,
  rate_ = 0.1,
  newx = 0.0,
  newy = 0.0,
  bufnum = 0.0
  }
mkGravityGrid :: GravityGrid -> S.UGen
mkGravityGrid (GravityGrid  a' b' c' d' e') = S.mkOsc S.AR "GravityGrid" [a',b',c',d',e'] 1
instance Make GravityGrid where
  ugen = mkGravityGrid
