-- | (not documented)
module Sound.SC3.UGen.Record.InGrainBBF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data InGrainBBF = InGrainBBF {
  trigger :: S.UGen,
  dur :: S.UGen,
  input :: S.UGen,
  envbuf :: S.UGen,
  azimuth :: S.UGen,
  elevation :: S.UGen,
  rho :: S.UGen,
  wComp :: S.UGen
  } deriving (Show)
inGrainBBF :: InGrainBBF
inGrainBBF = InGrainBBF {
  trigger = 0.0,
  dur = 1.0,
  input = 0.0,
  envbuf = 0.0,
  azimuth = 0.0,
  elevation = 0.0,
  rho = 1.0,
  wComp = 0.0
  }
mkInGrainBBF :: InGrainBBF -> S.UGen
mkInGrainBBF (InGrainBBF  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "InGrainBBF" [a',b',c',d',e',f',g',h'] 4
instance Make InGrainBBF where
  ugen = mkInGrainBBF
