-- | random walk linear interp
module Sound.SC3.UGen.Record.LFBrownNoise1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFBrownNoise1 = LFBrownNoise1 {
  rate :: S.Rate,
  freq :: S.UGen,
  dev :: S.UGen,
  dist :: S.UGen
  } deriving (Show)
lFBrownNoise1 :: LFBrownNoise1
lFBrownNoise1 = LFBrownNoise1 {
  rate = S.AR,
  freq = 20.0,
  dev = 1.0,
  dist = 0.0
  }
mkLFBrownNoise1 :: LFBrownNoise1 -> S.UGen
mkLFBrownNoise1 (LFBrownNoise1 r a' b' c') = S.mkOsc r "LFBrownNoise1" [a',b',c'] 1
instance Make LFBrownNoise1 where
  ugen = mkLFBrownNoise1
