-- | Sawtooth oscillator
module Sound.SC3.UGen.Record.LFSaw where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LFSaw = LFSaw {
  rate :: S.Rate,
  freq :: S.UGen,
  iphase :: S.UGen
  } deriving (Show)
lFSaw :: LFSaw
lFSaw = LFSaw {
  rate = S.AR,
  freq = 440.0,
  iphase = 0.0
  }
mkLFSaw :: LFSaw -> S.UGen
mkLFSaw (LFSaw r a' b') = S.mkOsc r "LFSaw" [a',b'] 1
instance Make LFSaw where
  ugen = mkLFSaw
