-- | (not documented)
module Sound.SC3.UGen.Record.LPCError where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LPCError = LPCError {
  input :: S.UGen,
  p :: S.UGen
  } deriving (Show)
lPCError :: LPCError
lPCError = LPCError {
  input = 0.0,
  p = 10.0
  }
mkLPCError :: LPCError -> S.UGen
mkLPCError (LPCError  a' b') = S.mkOsc S.AR "LPCError" [a',b'] 1
instance Make LPCError where
  ugen = mkLPCError
