-- | (not documented)
module Sound.SC3.UGen.Record.LatoocarfianTrig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LatoocarfianTrig = LatoocarfianTrig {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  d :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
latoocarfianTrig :: LatoocarfianTrig
latoocarfianTrig = LatoocarfianTrig {
  rate = S.AR,
  minfreq = 5.0,
  maxfreq = 10.0,
  a = 1.0,
  b = 3.0,
  c = 0.5,
  d = 0.5,
  x0 = 0.34082301375036,
  y0 = -0.38270086971332
  }
mkLatoocarfianTrig :: LatoocarfianTrig -> S.UGen
mkLatoocarfianTrig (LatoocarfianTrig r a' b' c' d' e' f' g' h') = S.mkOsc r "LatoocarfianTrig" [a',b',c',d',e',f',g',h'] 1
instance Make LatoocarfianTrig where
  ugen = mkLatoocarfianTrig
