-- | Non-linear Filter
module Sound.SC3.UGen.Record.NLFiltL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data NLFiltL = NLFiltL {
  rate :: S.Rate,
  input :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  d :: S.UGen,
  c :: S.UGen,
  l :: S.UGen
  } deriving (Show)
nLFiltL :: NLFiltL
nLFiltL = NLFiltL {
  rate = S.AR,
  input = 0.0,
  a = 0.0,
  b = 0.0,
  d = 0.0,
  c = 0.0,
  l = 0.0
  }
mkNLFiltL :: NLFiltL -> S.UGen
mkNLFiltL (NLFiltL r a' b' c' d' e' f') = S.mkOsc r "NLFiltL" [a',b',c',d',e',f'] 1
instance Make NLFiltL where
  ugen = mkNLFiltL
