-- | multiplies common magnitudes
module Sound.SC3.UGen.Record.PV_CommonMul where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_CommonMul = PV_CommonMul {
  bufferA :: S.UGen,
  bufferB :: S.UGen,
  tolerance :: S.UGen,
  remove :: S.UGen
  } deriving (Show)
pV_CommonMul :: PV_CommonMul
pV_CommonMul = PV_CommonMul {
  bufferA = 0.0,
  bufferB = 0.0,
  tolerance = 0.0,
  remove = 0.0
  }
mkPV_CommonMul :: PV_CommonMul -> S.UGen
mkPV_CommonMul (PV_CommonMul  a' b' c' d') = S.mkOsc S.KR "PV_CommonMul" [a',b',c',d'] 1
instance Make PV_CommonMul where
  ugen = mkPV_CommonMul
