-- | Complex division
module Sound.SC3.UGen.Record.PV_Div where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_Div = PV_Div {
  bufferA :: S.UGen,
  bufferB :: S.UGen
  } deriving (Show)
pV_Div :: PV_Div
pV_Div = PV_Div {
  bufferA = 0.0,
  bufferB = 0.0
  }
mkPV_Div :: PV_Div -> S.UGen
mkPV_Div (PV_Div  a' b') = S.mkOsc S.KR "PV_Div" [a',b'] 1
instance Make PV_Div where
  ugen = mkPV_Div
