-- | reduces magnitudes above or below thresh
module Sound.SC3.UGen.Record.PV_MagGate where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_MagGate = PV_MagGate {
  buffer :: S.UGen,
  thresh :: S.UGen,
  remove :: S.UGen
  } deriving (Show)
pV_MagGate :: PV_MagGate
pV_MagGate = PV_MagGate {
  buffer = 0.0,
  thresh = 1.0,
  remove = 0.0
  }
mkPV_MagGate :: PV_MagGate -> S.UGen
mkPV_MagGate (PV_MagGate  a' b' c') = S.mkOsc S.KR "PV_MagGate" [a',b',c'] 1
instance Make PV_MagGate where
  ugen = mkPV_MagGate
