-- | Maximum magnitude.
module Sound.SC3.UGen.Record.PV_Max where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_Max = PV_Max {
  bufferA :: S.UGen,
  bufferB :: S.UGen
  } deriving (Show)
pV_Max :: PV_Max
pV_Max = PV_Max {
  bufferA = 0.0,
  bufferB = 0.0
  }
mkPV_Max :: PV_Max -> S.UGen
mkPV_Max (PV_Max  a' b') = S.mkOsc S.KR "PV_Max" [a',b'] 1
instance Make PV_Max where
  ugen = mkPV_Max
