-- | (not documented)
module Sound.SC3.UGen.Record.PV_NoiseSynthF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_NoiseSynthF = PV_NoiseSynthF {
  buffer :: S.UGen,
  threshold :: S.UGen,
  numFrames :: S.UGen,
  initflag :: S.UGen
  } deriving (Show)
pV_NoiseSynthF :: PV_NoiseSynthF
pV_NoiseSynthF = PV_NoiseSynthF {
  buffer = 0.0,
  threshold = 0.1,
  numFrames = 2.0,
  initflag = 0.0
  }
mkPV_NoiseSynthF :: PV_NoiseSynthF -> S.UGen
mkPV_NoiseSynthF (PV_NoiseSynthF  a' b' c' d') = S.mkOsc S.KR "PV_NoiseSynthF" [a',b',c',d'] 1
instance Make PV_NoiseSynthF where
  ugen = mkPV_NoiseSynthF
