-- | (not documented)
module Sound.SC3.UGen.Record.PanX2D where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PanX2D = PanX2D {
  rate :: S.Rate,
  numChansX :: S.UGen,
  numChansY :: S.UGen,
  input :: S.UGen,
  posX :: S.UGen,
  posY :: S.UGen,
  level :: S.UGen,
  widthX :: S.UGen,
  widthY :: S.UGen
  } deriving (Show)
panX2D :: PanX2D
panX2D = PanX2D {
  rate = S.AR,
  numChansX = 0.0,
  numChansY = 0.0,
  input = 0.0,
  posX = 0.0,
  posY = 0.0,
  level = 1.0,
  widthX = 2.0,
  widthY = 2.0
  }
mkPanX2D :: PanX2D -> S.UGen
mkPanX2D (PanX2D r a' b' c' d' e' f' g' h') = S.mkOsc r "PanX2D" [a',b',c',d',e',f',g',h'] 1
instance Make PanX2D where
  ugen = mkPanX2D
