-- | Tree classifier using (hyper)planes – UGen or language-side
module Sound.SC3.UGen.Record.PlaneTree where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PlaneTree = PlaneTree {
  treebuf :: S.UGen,
  input :: S.UGen,
  gate :: S.UGen
  } deriving (Show)
planeTree :: PlaneTree
planeTree = PlaneTree {
  treebuf = 0.0,
  input = 0.0,
  gate = 1.0
  }
mkPlaneTree :: PlaneTree -> S.UGen
mkPlaneTree (PlaneTree  a' b' c') = S.mkOsc S.KR "PlaneTree" [a',b',c'] 1
instance Make PlaneTree where
  ugen = mkPlaneTree
