-- | (not documented)
module Sound.SC3.UGen.Record.PosRatio where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PosRatio = PosRatio {
  input :: S.UGen,
  period :: S.UGen,
  thresh :: S.UGen
  } deriving (Show)
posRatio :: PosRatio
posRatio = PosRatio {
  input = 0.0,
  period = 100.0,
  thresh = 0.1
  }
mkPosRatio :: PosRatio -> S.UGen
mkPosRatio (PosRatio  a' b' c') = S.mkOsc S.AR "PosRatio" [a',b',c'] 1
instance Make PosRatio where
  ugen = mkPosRatio
