-- | General quadratic map chaotic generator
module Sound.SC3.UGen.Record.QuadN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data QuadN = QuadN {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  xi :: S.UGen
  } deriving (Show)
quadN :: QuadN
quadN = QuadN {
  freq = 22050.0,
  a = 1.0,
  b = -1.0,
  c = -0.75,
  xi = 0.0
  }
mkQuadN :: QuadN -> S.UGen
mkQuadN (QuadN  a' b' c' d' e') = S.mkOsc S.AR "QuadN" [a',b',c',d',e'] 1
instance Make QuadN where
  ugen = mkQuadN
