-- | Set the synth's random generator ID.
module Sound.SC3.UGen.Record.RandID where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RandID = RandID {
  rate :: S.Rate,
  id_ :: S.UGen
  } deriving (Show)
randID :: RandID
randID = RandID {
  rate = S.AR,
  id_ = 0.0
  }
mkRandID :: RandID -> S.UGen
mkRandID (RandID r a') = S.mkOsc r "RandID" [a'] 1
instance Make RandID where
  ugen = mkRandID
