-- | (not documented)
module Sound.SC3.UGen.Record.SOMAreaWr where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SOMAreaWr = SOMAreaWr {
  bufnum :: S.UGen,
  inputdata :: S.UGen,
  coords :: S.UGen,
  netsize :: S.UGen,
  numdims :: S.UGen,
  nhood :: S.UGen,
  gate :: S.UGen
  } deriving (Show)
sOMAreaWr :: SOMAreaWr
sOMAreaWr = SOMAreaWr {
  bufnum = 0.0,
  inputdata = 0.0,
  coords = 0.0,
  netsize = 10.0,
  numdims = 2.0,
  nhood = 0.5,
  gate = 1.0
  }
mkSOMAreaWr :: SOMAreaWr -> S.UGen
mkSOMAreaWr (SOMAreaWr  a' b' c' d' e' f' g') = S.mkOsc S.KR "SOMAreaWr" [a',b',c',d',e',f',g'] 1
instance Make SOMAreaWr where
  ugen = mkSOMAreaWr
