module Sound.SC3.UGen.Record.SharedIn where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SharedIn = SharedIn {
  bus :: S.UGen,
  numChannels :: S.UGen
  } deriving (Show)
sharedIn :: SharedIn
sharedIn = SharedIn {
  bus = 0.0,
  numChannels = 1.0
  }
mkSharedIn :: SharedIn -> S.UGen
mkSharedIn (SharedIn  a' b') = S.mkOsc S.KR "SharedIn" [a',b'] 1
instance Make SharedIn where
  ugen = mkSharedIn
