module Sound.SC3.UGen.Record.Silent where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Silent = Silent {
  numChannels :: S.UGen
  } deriving (Show)
silent :: Silent
silent = Silent {
  numChannels = 1.0
  }
mkSilent :: Silent -> S.UGen
mkSilent (Silent  a') = S.mkOsc S.AR "Silent" [a'] 1
instance Make Silent where
  ugen = mkSilent
