-- | (not documented)
module Sound.SC3.UGen.Record.SinGrainI where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SinGrainI = SinGrainI {
  trigger :: S.UGen,
  dur :: S.UGen,
  freq :: S.UGen,
  envbuf1 :: S.UGen,
  envbuf2 :: S.UGen,
  ifac :: S.UGen
  } deriving (Show)
sinGrainI :: SinGrainI
sinGrainI = SinGrainI {
  trigger = 0.0,
  dur = 1.0,
  freq = 440.0,
  envbuf1 = 0.0,
  envbuf2 = 0.0,
  ifac = 0.5
  }
mkSinGrainI :: SinGrainI -> S.UGen
mkSinGrainI (SinGrainI  a' b' c' d' e' f') = S.mkOsc S.AR "SinGrainI" [a',b',c',d',e',f'] 1
instance Make SinGrainI where
  ugen = mkSinGrainI
