-- | port of some ladspa plugins
module Sound.SC3.UGen.Record.SineShaper where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SineShaper = SineShaper {
  input :: S.UGen,
  limit :: S.UGen
  } deriving (Show)
sineShaper :: SineShaper
sineShaper = SineShaper {
  input = 0.0,
  limit = 1.0
  }
mkSineShaper :: SineShaper -> S.UGen
mkSineShaper (SineShaper  a' b') = S.mkOsc S.AR "SineShaper" [a',b'] 1
instance Make SineShaper where
  ugen = mkSineShaper
