-- | Spectral centroid
module Sound.SC3.UGen.Record.SpecCentroid where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SpecCentroid = SpecCentroid {
  buffer :: S.UGen
  } deriving (Show)
specCentroid :: SpecCentroid
specCentroid = SpecCentroid {
  buffer = 0.0
  }
mkSpecCentroid :: SpecCentroid -> S.UGen
mkSpecCentroid (SpecCentroid  a') = S.mkOsc S.KR "SpecCentroid" [a'] 1
instance Make SpecCentroid where
  ugen = mkSpecCentroid
