-- | (not documented)
module Sound.SC3.UGen.Record.Spreader where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Spreader = Spreader {
  input :: S.UGen,
  theta :: S.UGen,
  filtsPerOctave :: S.UGen
  } deriving (Show)
spreader :: Spreader
spreader = Spreader {
  input = 0.0,
  theta = 1.5707963267949,
  filtsPerOctave = 8.0
  }
mkSpreader :: Spreader -> S.UGen
mkSpreader (Spreader  a' b' c') = S.mkOsc S.AR "Spreader" [a',b',c'] 2
instance Make Spreader where
  ugen = mkSpreader
