-- | (not documented)
module Sound.SC3.UGen.Record.StandardTrig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StandardTrig = StandardTrig {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  k :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
standardTrig :: StandardTrig
standardTrig = StandardTrig {
  rate = S.AR,
  minfreq = 5.0,
  maxfreq = 10.0,
  k = 1.4,
  x0 = 4.9789799812499,
  y0 = 5.7473416156381
  }
mkStandardTrig :: StandardTrig -> S.UGen
mkStandardTrig (StandardTrig r a' b' c' d' e') = S.mkOsc r "StandardTrig" [a',b',c',d',e'] 1
instance Make StandardTrig where
  ugen = mkStandardTrig
