-- | (not documented)
module Sound.SC3.UGen.Record.StkBowed where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkBowed = StkBowed {
  rate :: S.Rate,
  freq :: S.UGen,
  bowpressure :: S.UGen,
  bowposition :: S.UGen,
  vibfreq :: S.UGen,
  vibgain :: S.UGen,
  loudness :: S.UGen,
  gate :: S.UGen,
  attackrate :: S.UGen,
  decayrate :: S.UGen
  } deriving (Show)
stkBowed :: StkBowed
stkBowed = StkBowed {
  rate = S.AR,
  freq = 220.0,
  bowpressure = 64.0,
  bowposition = 64.0,
  vibfreq = 64.0,
  vibgain = 64.0,
  loudness = 64.0,
  gate = 1.0,
  attackrate = 1.0,
  decayrate = 1.0
  }
mkStkBowed :: StkBowed -> S.UGen
mkStkBowed (StkBowed r a' b' c' d' e' f' g' h' i') = S.mkOsc r "StkBowed" [a',b',c',d',e',f',g',h',i'] 1
instance Make StkBowed where
  ugen = mkStkBowed
