-- | (not documented)
module Sound.SC3.UGen.Record.StkClarinet where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkClarinet = StkClarinet {
  rate :: S.Rate,
  freq :: S.UGen,
  reedstiffness :: S.UGen,
  noisegain :: S.UGen,
  vibfreq :: S.UGen,
  vibgain :: S.UGen,
  breathpressure :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
stkClarinet :: StkClarinet
stkClarinet = StkClarinet {
  rate = S.AR,
  freq = 440.0,
  reedstiffness = 64.0,
  noisegain = 4.0,
  vibfreq = 64.0,
  vibgain = 11.0,
  breathpressure = 64.0,
  trig = 1.0
  }
mkStkClarinet :: StkClarinet -> S.UGen
mkStkClarinet (StkClarinet r a' b' c' d' e' f' g') = S.mkOsc r "StkClarinet" [a',b',c',d',e',f',g'] 1
instance Make StkClarinet where
  ugen = mkStkClarinet
