-- | (not documented)
module Sound.SC3.UGen.Record.StkMoog where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkMoog = StkMoog {
  rate :: S.Rate,
  freq :: S.UGen,
  filterQ :: S.UGen,
  sweeprate :: S.UGen,
  vibfreq :: S.UGen,
  vibgain :: S.UGen,
  gain :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
stkMoog :: StkMoog
stkMoog = StkMoog {
  rate = S.AR,
  freq = 440.0,
  filterQ = 10.0,
  sweeprate = 20.0,
  vibfreq = 64.0,
  vibgain = 0.0,
  gain = 64.0,
  trig = 1.0
  }
mkStkMoog :: StkMoog -> S.UGen
mkStkMoog (StkMoog r a' b' c' d' e' f' g') = S.mkOsc r "StkMoog" [a',b',c',d',e',f',g'] 1
instance Make StkMoog where
  ugen = mkStkMoog
