-- | (not documented)
module Sound.SC3.UGen.Record.StkVoicForm where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkVoicForm = StkVoicForm {
  rate :: S.Rate,
  freq :: S.UGen,
  vuvmix :: S.UGen,
  vowelphon :: S.UGen,
  vibfreq :: S.UGen,
  vibgain :: S.UGen,
  loudness :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
stkVoicForm :: StkVoicForm
stkVoicForm = StkVoicForm {
  rate = S.AR,
  freq = 440.0,
  vuvmix = 64.0,
  vowelphon = 64.0,
  vibfreq = 64.0,
  vibgain = 20.0,
  loudness = 64.0,
  trig = 1.0
  }
mkStkVoicForm :: StkVoicForm -> S.UGen
mkStkVoicForm (StkVoicForm r a' b' c' d' e' f' g') = S.mkOsc r "StkVoicForm" [a',b',c',d',e',f',g'] 1
instance Make StkVoicForm where
  ugen = mkStkVoicForm
