-- | (not documented)
module Sound.SC3.UGen.Record.TTendency where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TTendency = TTendency {
  rate :: S.Rate,
  trigger :: S.UGen,
  dist :: S.UGen,
  parX :: S.UGen,
  parY :: S.UGen,
  parA :: S.UGen,
  parB :: S.UGen
  } deriving (Show)
tTendency :: TTendency
tTendency = TTendency {
  rate = S.AR,
  trigger = 0.0,
  dist = 0.0,
  parX = 0.0,
  parY = 1.0,
  parA = 0.0,
  parB = 0.0
  }
mkTTendency :: TTendency -> S.UGen
mkTTendency (TTendency r a' b' c' d' e' f') = S.mkOsc r "TTendency" [a',b',c',d',e',f'] 1
instance Make TTendency where
  ugen = mkTTendency
