-- | Toggle flip flop.
module Sound.SC3.UGen.Record.ToggleFF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data ToggleFF = ToggleFF {
  rate :: S.Rate,
  trig :: S.UGen
  } deriving (Show)
toggleFF :: ToggleFF
toggleFF = ToggleFF {
  rate = S.AR,
  trig = 0.0
  }
mkToggleFF :: ToggleFF -> S.UGen
mkToggleFF (ToggleFF r a') = S.mkOsc r "ToggleFF" [a'] 1
instance Make ToggleFF where
  ugen = mkToggleFF
