-- | (not documented)
module Sound.SC3.UGen.Record.TwoTube where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TwoTube = TwoTube {
  input :: S.UGen,
  k :: S.UGen,
  loss :: S.UGen,
  d1length :: S.UGen,
  d2length :: S.UGen
  } deriving (Show)
twoTube :: TwoTube
twoTube = TwoTube {
  input = 0.0,
  k = 0.01,
  loss = 1.0,
  d1length = 100.0,
  d2length = 100.0
  }
mkTwoTube :: TwoTube -> S.UGen
mkTwoTube (TwoTube  a' b' c' d' e') = S.mkOsc S.AR "TwoTube" [a',b',c',d',e'] 1
instance Make TwoTube where
  ugen = mkTwoTube
