-- | decomposition into Daub4 wavelets, and reconstruction
module Sound.SC3.UGen.Record.WaveletDaub where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data WaveletDaub = WaveletDaub {
  input :: S.UGen,
  n :: S.UGen,
  which :: S.UGen
  } deriving (Show)
waveletDaub :: WaveletDaub
waveletDaub = WaveletDaub {
  input = 0.0,
  n = 64.0,
  which = 0.0
  }
mkWaveletDaub :: WaveletDaub -> S.UGen
mkWaveletDaub (WaveletDaub  a' b' c') = S.mkOsc S.AR "WaveletDaub" [a',b',c'] 1
instance Make WaveletDaub where
  ugen = mkWaveletDaub
