-- | (not documented)
module Sound.SC3.UGen.Record.WeaklyNonlinear where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data WeaklyNonlinear = WeaklyNonlinear {
  input :: S.UGen,
  reset :: S.UGen,
  ratex :: S.UGen,
  ratey :: S.UGen,
  freq :: S.UGen,
  initx :: S.UGen,
  inity :: S.UGen,
  alpha :: S.UGen,
  xexponent :: S.UGen,
  beta :: S.UGen,
  yexponent :: S.UGen
  } deriving (Show)
weaklyNonlinear :: WeaklyNonlinear
weaklyNonlinear = WeaklyNonlinear {
  input = 0.0,
  reset = 0.0,
  ratex = 1.0,
  ratey = 1.0,
  freq = 440.0,
  initx = 0.0,
  inity = 0.0,
  alpha = 0.0,
  xexponent = 0.0,
  beta = 0.0,
  yexponent = 0.0
  }
mkWeaklyNonlinear :: WeaklyNonlinear -> S.UGen
mkWeaklyNonlinear (WeaklyNonlinear  a' b' c' d' e' f' g' h' i' j' k') = S.mkOsc S.AR "WeaklyNonlinear" [a',b',c',d',e',f',g',h',i',j',k'] 1
instance Make WeaklyNonlinear where
  ugen = mkWeaklyNonlinear
