module Sound.SC3.UGen.Record.XFade where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data XFade = XFade {
  maxSize :: S.UGen
  } deriving (Show)
xFade :: XFade
xFade = XFade {
  maxSize = 0.0
  }
mkXFade :: XFade -> S.UGen
mkXFade (XFade  a') = S.mkOsc S.AR "XFade" [a'] 1
instance Make XFade where
  ugen = mkXFade
