-- | Zero crossing frequency follower
module Sound.SC3.UGen.Record.ZeroCrossing where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data ZeroCrossing = ZeroCrossing {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
zeroCrossing :: ZeroCrossing
zeroCrossing = ZeroCrossing {
  rate = S.AR,
  input = 0.0
  }
mkZeroCrossing :: ZeroCrossing -> S.UGen
mkZeroCrossing (ZeroCrossing r a') = S.mkOsc r "ZeroCrossing" [a'] 1
instance Make ZeroCrossing where
  ugen = mkZeroCrossing
